	subroutine interp_2d(x,y,xc,yc,z,z_int)
c	two-dimensional interpolation, following Abramowicz & Stegun p 882
c	written by leo mcnamara 2-aug-90
c-----	  last modified 2-aug-90
c
	dimension xc(4),yc(4),z(4)
	p = (x - xc(1)) / (xc(4) - xc(1))
	q = (y - yc(1)) / (yc(2) - yc(1))
c
	z_int = (1. - p) * (1. - q) * z(1) + p * (1. - q) * z(4)
     a        + q * (1. - p) * z(2) + p * q * z(3)
c
	return
	end
